%define name		cryptix
%define version		3.2.0
%define release		4jpp
%define snapshot	20001002
%define section		free

Name:		%{name}
Version:	%{version}
Release:	%{release}
Epoch:		0
Summary:	Java crypto package
License:	BSD style
Url:		http://www.cryptix.org
Group:		Security/Cryptography
Vendor:		JPackage Project
Distribution:	JPackage
Source0:	%{name}32-%{snapshot}-r%{version}.zip
Source1:	%{name}.build.script
BuildRequires:	ant
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Cryptix 3 is a cleanroom implementation of Sun's Java Cryptography
Extensions (JCE) version 1.1. In addition to that it contains the
Cryptix Provider which delivers a wide range of algorithms and support
for PGP 2.x. Cryptix 3 runs on both JDK 1.1 and JDK 1.2 (Java 2).

%package javadoc
Group:		Development/Documentation
Summary:	Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -c
cp %{SOURCE1} build.xml
# remove all binary libs
rm -fr $(find . -name "*.jar")
# correct silly permissions
chmod -R go=u-w *

%build
unset CLASSPATH

ant clean jar javadoc

%install
# jars
install -d -m 755 $RPM_BUILD_ROOT%{_javadir}
install -m 644 build/lib/%{name}.jar $RPM_BUILD_ROOT%{_javadir}/%{name}-%{version}.jar
(cd $RPM_BUILD_ROOT%{_javadir} && for jar in *-%{version}*; do ln -sf ${jar} ${jar/-%{version}/}; done)
# javadoc
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc LICENCE.TXT README.TXT
%{_javadir}/*

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/%{name}-%{version}

%changelog
* Wed Mar 26 2003 Nicolas Mailhot <Nicolas.Mailhot (at) JPackage.org> 3.2.0-4jpp
- for jpackage-utils 1.5

* Tue May 07 2002 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-3jpp 
- vendor, distribution, group tags

* Fri Jan 18 2002 Henri Gomez <hgomez@slib.fr> 3.2.0-2jpp
- add version in javadoc dir

* Wed Dec 12 2001 Guillaume Rousse <guillomovitch@users.sourceforge.net> 3.2.0-1jpp
- first JPackage release
